import { KubernetesRequestBody } from '@backstage/plugin-kubernetes-common';
/** @public */
export interface KubernetesAuthProvider {
    decorateRequestBodyForAuth(requestBody: KubernetesRequestBody): Promise<KubernetesRequestBody>;
    getCredentials(): Promise<{
        token?: string;
    }>;
}
/** @public */
export declare const kubernetesAuthProvidersApiRef: import("@backstage/core-plugin-api").ApiRef<KubernetesAuthProvidersApi>;
/** @public */
export interface KubernetesAuthProvidersApi {
    decorateRequestBodyForAuth(authProvider: string, requestBody: KubernetesRequestBody): Promise<KubernetesRequestBody>;
    getCredentials(authProvider: string): Promise<{
        token?: string;
    }>;
}
